* {
  margin: 0;
  padding: 0;
}

body {
  box-sizing: border-box;
  background: url("./bg.svg");
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
}

.wrapper {
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
}
.calculator {
  margin-top: 4rem;
  height: 70vh;
  width: 20%;
  border-radius: 10px;
  padding: 20px;
  background: rgba(69, 69, 69, 0.6);
  box-shadow: -5px -5px 15px rgba(255, 255, 255, 0.1),
    5px 5px 15px rgba(0, 0, 0, 0.2);
  display: grid;
  place-items: center;
}

.kolom {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 0.5rem;
  margin-top: 1.2rem;
}

.colspan-2 {
  grid-column: span 2;
}

.input-hasil {
  width: 100%;
  height: 10vh;
  background: rgba(255, 255, 255, 1);
  box-shadow: -5px -5px 15px rgba(255, 255, 255, 0.1),
    5px 5px 15px rgba(0, 0, 0, 0.2);
  border-radius: 5px;
}

.hasil {
  width: 90%;
  height: 100%;
  background: rgba(255, 255, 255, 0);
  border: none;
  font-size: 1.2rem;
  padding-left: 20px;
  outline: none;
}

button {
  background-color: rebeccapurple;
  color: white;
  border: none;
  outline: none;
  font-size: 1.2rem;
  border-radius: 5px;
  cursor: pointer;
  padding: 10px;
  box-shadow: -2px -2px 5px rgba(255, 255, 255, 0.1),
    2px 2px 5px rgba(0, 0, 0, 0.2);
}

@media (max-width: 600px) {
  .wrapper {
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
  }

  .calculator {
    margin-top: 4rem;
    height: 70vh;
    width: 70%;
    border-radius: 10px;
    padding: 20px;
    background: rgba(69, 69, 69, 0.6);
    box-shadow: -5px -5px 15px rgba(255, 255, 255, 0.1),
      5px 5px 15px rgba(0, 0, 0, 0.2);
    display: grid;
    place-items: center;
  }

  .kolom {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 0.5rem;
    margin-top: 1.2rem;
  }

  .colspan-2 {
    grid-column: span 2;
  }

  .input-hasil {
    width: 100%;
    height: 10vh;
    background: rgba(255, 255, 255, 1);
    box-shadow: -5px -5px 15px rgba(255, 255, 255, 0.1),
      5px 5px 15px rgba(0, 0, 0, 0.2);
    border-radius: 5px;
  }

  .hasil {
    width: 90%;
    height: 100%;
    background: rgba(255, 255, 255, 0);
    border: none;
    font-size: 1.2rem;
    padding-left: 20px;
    outline: none;
  }

  button {
    background-color: rebeccapurple;
    color: white;
    border: none;
    outline: none;
    font-size: 1.2rem;
    border-radius: 5px;
    cursor: pointer;
    padding: 10px;
    box-shadow: -2px -2px 5px rgba(255, 255, 255, 0.1),
      2px 2px 5px rgba(0, 0, 0, 0.2);
  }
}
